// @ts-nocheck

$(function () {

  $("#feedback-button-submit-nps").click(e => {
    handleSubmitNpsButtonClick($(e.currentTarget));
  });

  $("#feedback-button-cancel-nps").click(e => {
    // remove current selection
    $(".npsbutton").each(function () {
      $(this).removeClass('selectednpsbutton');
    });

    // clean up button's data
    $("#feedback-button-submit-nps").data("selectednpsvalue", "");
  });

  function handleSubmitNpsButtonClick(button) {
    vscode.postMessage({
      handlerId: 'feedback',
      type: 'submitNps',
      rating: button.data("selectednpsvalue")
    });
  }

  const npsbuttonsContainer = $("#npsbuttons-container");

  // add click event listener for every NPS button
  $(".npsbutton").each(function (index) {
    $(this).on("click", function () {

      // upon clicking, disable previous selection. Don't know here which button it was, try to remove class from every button
      $(".npsbutton").each(function () {
        $(this).removeClass('selectednpsbutton');
      });

      // show the clicked button as selected one.
      npsbuttonsContainer.find("#" + $(this).attr('id')).addClass("selectednpsbutton");

      // save the selected value somewhere. separate "selectednpsvalue" div did not work out. Using button's data instead.
      // $("#selectednpsvalue").html($(this).data('npsbuttonvalue')); // writing works but reading doesn't work.
      $("#feedback-button-submit-nps").data("selectednpsvalue", $(this).data('npsbuttonvalue'));
    });
  });

});