// @ts-nocheck

$(function () {

  $("#advancedsettingsgeneral-confLocation").click(e => {
    handleConfLocationLinkClick($(e.currentTarget));
  });

  function handleConfLocationLinkClick(link) {
    // need to use either link.text() or link.attr("href") here. Because link.prop("href") gives path with schema prefix
    vscode.postMessage({ handlerId: 'advancedsettingsgeneral', type: 'openConfLocation', target: link.text() });
  }

  $('#advancedsettingsgeneral-button-restore-settings').on('click', () => {
    vscode.postMessage({ handlerId: 'advancedsettingsgeneral', type: 'restoreNotificationSettings' });
  });

  $(window).on('message', $e => {
    const event = $e.originalEvent;
    const message = event.data; // The json data that the extension sent
    switch (message.type) {
      case 'ui.handleAdvancedSettingsData':
        {
          if (message.data.configurationFolder) {
            $("#advancedsettingsgeneral-confLocation").text(message.data.configurationFolder);
            $("#advancedsettingsgeneral-confLocation").prop("href", message.data.configurationFolder);
          }
          break;
        }
    }
  });

});